Bug 1026873 - fedora-review: doesn't seem to recognize that -docs package is for documentation
fedora-review: doesn't seem to recognize that -docs package is for documentation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 10:01 EST by Zbigniew Jędrzejewski-Szmek
Modified: 2013-12-01 11:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 07:05:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-11-05 10:01:09 EST
Description of problem:
In review request https://bugzilla.redhat.com/show_bug.cgi?id=1026337,
two packages are produced:

nfs-ganesha
nfs-ganesha-docs

The second contains most of documentation, and the first one is actaully only 471KB. But fedora-review still says:

- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 1822720 bytes in 10 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


Version-Release number of selected component (if applicable):
fedora-review-0.5.0-1.fc20.noarch

How reproducible:
100%

Additional info:
I'm putting the binary packages and the source package for reference here:
http://in.waw.pl/~zbyszek/fedora/nfs-ganesha-2.0.0-0.rc3.fc19.src.rpm
http://in.waw.pl/~zbyszek/fedora/nfs-ganesha-2.0.0-0.rc3.fc19.x86_64.rpm
http://in.waw.pl/~zbyszek/fedora/nfs-ganesha-docs-2.0.0-0.rc3.fc19.noarch.rpm
Comment 1 Pierre-YvesChibon 2013-11-05 13:39:18 EST
I'm gonna take a wild guess w/o having looked at the sources: could it be a difference between -doc and -docs? :)
Comment 2 Alec Leamas 2013-11-05 14:12:19 EST
Indeed. It's scripts/check-large-docs.sh, it  might need an "if" branch also for -docs.
Comment 3 Stanislav Ochotnicky 2013-11-25 07:05:25 EST
While the fix is relatively trivial, I don't think we should go this way. I'm in favour of being consistent across distribution for this kind of thing. The subpackage should be renamed IMO.

From Packaging Guidelines:
... Or if there's a lot of documentation, consider putting it into a subpackage. In this case, it is recommended to use *-doc as the subpackage name.

I'm closing as won't fix for the above reason. I don't want to hide inconsistencies with guidelines.
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-12-01 10:49:06 EST
The problem is that repoquery '*-docs'|wc lists 123 packages which would be flagged by fedora-review with this issue. I think we should strive to reduce the noise from the review tools as much as possible, and it seems that the ship has already sailed on the the split between -doc and -docs. Both are used in the wild, and unless the guidelines are changed to required just -doc, people will continue to keep adding packages which use -docs. Right now the review warnings are often all false positives, which makes people ignore legitimate warnings in the noise.
Comment 5 Alec Leamas 2013-12-01 10:57:02 EST
That warnings tend to be false positives is really as expected. In situations which are not clear, the basic strategy is to notify the reviewer. IMHO, this is the only reasonable strategy.

However, this bug is actually quite clear: fedora-review always strives to implement the current guidelines. If you want them to be changed, the proper action  is to file a FPC ticket. We will not on purpose mis-interpret the GL.
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-12-01 11:34:36 EST
(In reply to Alec Leamas from comment #5)
> That warnings tend to be false positives is really as expected. In
> situations which are not clear, the basic strategy is to notify the
> reviewer. IMHO, this is the only reasonable strategy.
True, but this doesn't apply here. There's nothing unclear here: -docs and -doc packages are found in Fedora in large quantities. It's only fedora-review that has an issue with -docs.

> However, this bug is actually quite clear: fedora-review always strives to
> implement the current guidelines. If you want them to be changed, the proper
> action  is to file a FPC ticket. We will not on purpose mis-interpret the GL.
I don't want to change the guidelines. The guidelines suggest -doc, but don't disallow -docs, and -docs are common practice. Thus, I think fedora-review should stop warning about -docs.

Note You need to log in before you can comment on or make changes to this bug.